# bison

Bison is a general purpose parser generator which converts a grammar description for an LALR context-free grammar into a C program to parse that grammar.
Bison can be used to develop a wide range of language parsers, from ones used in simple desk calculators to complex programming languages.
Bison is upwardly compatible with Yacc, so any correctly written Yacc grammar should work with Bison without any changes.
If you know Yacc, you shouldn't have any trouble using Bison (but you do need to be very proficient in C programming to be able to use Bison).
Many programs use Bison as part of their build process.
Bison is only needed on systems that are used for development.

If your system will be used for C development, you should install Bison since it is used to build many C programs.

